<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" th:href="@{/css/sidebar.css}">
    <link rel="stylesheet" th:href="@{/css/form-pengelolaan-faq-style.css}">


    <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    <title>Form FAQ</title>
</head>
<body>
<div th:replace="fragments/fragment.html :: side-bar-admin" />

<section class="content-sidebar-section">
    <div class="text">Frequently Asked Questions Form</div>  <br>
    <br>
    <br>
    <form th:action="@{/admin/dashboard/pengelolaan-faq/save/}" th:object=${faq} method="POST">
        <div class="card-ban-akun">
            <div class="section-profile-icon">
                <div class="profile-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" width="126" height="126" fill="currentColor" class="bi bi-question-circle-fill" viewBox="0 0 16 16">
                        <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zM5.496 6.033h.825c.138 0 .248-.113.266-.25.09-.656.54-1.134 1.342-1.134.686 0 1.314.343 1.314 1.168 0 .635-.374.927-.965 1.371-.673.489-1.206 1.06-1.168 1.987l.003.217a.25.25 0 0 0 .25.246h.811a.25.25 0 0 0 .25-.25v-.105c0-.718.273-.927 1.01-1.486.609-.463 1.244-.977 1.244-2.056 0-1.511-1.276-2.241-2.673-2.241-1.267 0-2.655.59-2.75 2.286a.237.237 0 0 0 .241.247zm2.325 6.443c.61 0 1.029-.394 1.029-.927 0-.552-.42-.94-1.029-.94-.584 0-1.009.388-1.009.94 0 .533.425.927 1.01.927z" fill="#F67280"/>
                    </svg>

                </div>
            </div>
            <div class="section-input-field">
                <div class="input-container">
                    <input type="hidden" th:field="*{faqId}" />
                    <div class="input-field required">
                        <label for="pertanyaan">Pertanyaan</label>
                        <input style="margin-bottom: 0" type="text" class="input" id="pertanyaan" th:field="*{question}" placeholder="Tulis Pertanyaan" required>
                    </div>
                    <div class="input-field required">
                        <label for="jawaban">Jawaban</label>
                        <textarea style="margin-bottom: 0; max-height: 80px; max-width:800px; position: static" class="input" id="jawaban" th:field="*{answer}" placeholder="Tulis Jawaban" required></textarea>
                    </div>

                </div>
            </div>
            <div class="section-button">
                <div class="ban-button">
                    <button type="submit" id="button-ban" class="button-primary mx-auto d-block">Add</button>
                </div>
                <div class="return-button">
                    <a class="button-secondary" th:href="@{/admin/dashboard/pengelolaan-faq}">Back</a>
                </div>
            </div>
        </div>
    </form>
    <!-- Modal Successful Message -->
    <div class="bg-modal">
        <div class="form-modal-content">
            <div class="card-modal">
                <div class="header-modal">
                    <div class="close">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M19.5304 5.53033C19.8232 5.23744 19.8232 4.76256 19.5304 4.46967C19.2375 4.17678 18.7626 4.17678 18.4697 4.46967L12 10.9394L5.53033 4.46967C5.23744 4.17678 4.76256 4.17678 4.46967 4.46967C4.17678 4.76257 4.17678 5.23744 4.46967 5.53033L10.9394 12L4.4697 18.4697C4.1768 18.7626 4.1768 19.2374 4.4697 19.5303C4.76259 19.8232 5.23746 19.8232 5.53036 19.5303L12 13.0607L18.4697 19.5303C18.7626 19.8232 19.2374 19.8232 19.5303 19.5303C19.8232 19.2374 19.8232 18.7626 19.5303 18.4697L13.0607 12L19.5304 5.53033Z" fill="#1D3557"/>
                        </svg>
                    </div>
                </div>
                <div class="icon-modal">
                    <svg width="81" height="81" viewBox="0 0 81 81" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M77.9999 44.9653C75 59.9801 63.6907 74.1179 47.8216 77.277C40.082 78.82 32.0534 77.8792 24.879 74.5888C17.7046 71.2983 11.7501 65.8258 7.86336 58.9506C3.97663 52.0753 2.35583 44.1478 3.23172 36.2968C4.10762 28.4458 7.43557 21.0716 12.7417 15.2241C23.6251 3.22432 42.002 -0.0789206 57.0011 5.92698" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M27.0029 38.9591L42.002 53.9739L77.9999 14.9355" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                    </svg>
                </div>
                <div class="text-column-modal">
                    <div class="success-message">
                        <p>Berhasil!</p>
                    </div>
                    <div class="detail-message">
                        <p>Pertanyaan berhasil ditambahkan.</p>
                    </div>
                    <div class="success-message-desc">
                        <p>Anda dapat menghapus pertanyaan ini pada pengelolaan FAQ.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!");
        console.log(sidebar.classList);
        menuBtnChange();
    });

    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }
</script>
<script>
    document.getElementById('button-ban').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'flex';
    });
</script>
<script>
    document.querySelector('.close').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'none';
    });
</script>
</body>
</html>